﻿using GarmentFactoryContracts.Attributes;
using GarmentFactoryDataModels.Enums;
using GarmentFactoryDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GarmentFactoryContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        [Column(title: "Номер", width: 60)]
        public int Id { get; set; }

		[Column(visible: false)]
		public int ClientId { get; set; }

        [Column(title: "Имя клиента", width: 200)]
        public string ClientFIO { get; set; } = string.Empty;

		[Column(visible: false)]
		public int? ImplementerId { get; set; }

		[Column(title: "Исполнитель", width: 200)]
		public string? ImplementerFIO { get; set; } = null;

		[Column(visible: false)]
		public int TextileId { get; set; }

        [Column(title: "Текстиль", width: 120, isUseAutoSize: true)]
        public string TextileName { get; set; } = string.Empty;

        [Column(title: "Количество", width: 100)]
        public int Count { get; set; }

        [Column(title: "Сумма", width: 120)]
        public double Sum { get; set; }

        [Column(title: "Статус", width: 90)]
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;

        [Column(title: "Дата создания", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public DateTime DateCreate { get; set; } = DateTime.Now;

        [Column(title: "Дата выполнения", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public DateTime? DateComplete { get; set; }

		[Column(visible: false)]
		public string ClientEmail { get; set; } = string.Empty;
	}
}
